%define srcname	LibreCAD
%define beta	beta5

Name:		librecad
Version:	1.0.0
Release:	%mkrel 0.%beta
URL:		http://www.librecad.org/
License:	GPLv2
Source0:	%{srcname}-%{version}%{beta}.tar.bz2
Patch1:		rs_debug.patch	
Group:		Graphics
Summary:	An generic 2D CAD program
BuildRequires:	qt4-devel 
BuildRequires:	qt4-assistant
BuildRequires:	qt4-linguist 
BuildRequires:	lcms-devel
Suggests:	%{name}-data
Suggests:	%{name}-parts
Suggests:	%{name}-doc

%description
LibreCAD is a Qt4 application to design 2D cad drawing based on the community
edition of QCad.

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/doc/LibreCADdoc.q*
%{_datadir}/%{name}/about.txt
%{_datadir}/%{name}/LICENSE

#-----------------------------------------------------------------------------

%package data
Summary: Data platform independent files for %{name}
Requires:	%{name}
BuildArch:	noarch

%description data
LibreCAD is an application for computer aided design (CAD) in two
dimensions (2D).

This package contains plataform independent files for LibreCAD, including
fonts, patterns, and interface translations.

%files data
%defattr (-,root,root)
%{_datadir}/%{name}/qm/
%{_datadir}/%{name}/fonts/
%{_datadir}/%{name}/patterns/

#------------------------------------------------------------------------------

%package parts
Summary: Parts collection for %{name}
Requires: %{name}
BuildArch:	noarch


%description parts
Collection of parts for %{name}, a Qt4 application to design 2D cad drawing
based on the community edition of QCad.

%files parts
%defattr(-,root,root)
%{_datadir}/%{name}/library

#------------------------------------------------------------------------------

%package doc
Summary: Documentation for %{name}
BuildArch:	noarch

%description doc
LibreCAD is an application for computer aided design (CAD) in two dimensions
(2D).

This package contains documentation for LibreCAD.
%files doc
%defattr(-,root,root)
%{_datadir}/doc/%{name}/html/

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}%{beta}
%patch1 -p1 


%build
%qmake_qt4
%make

%install
%__rm -rf %{buildroot}
# Let's create the directory structure
%__install -d %{buildroot}%{_datadir}/%{name}/{fonts,patterns,qm,library/misc,library/templates,doc}
%__install -d %{buildroot}%{_datadir}/doc/%{name}/html/{classref/html/,img,imgs}
%__install -d %{buildroot}%{_datadir}/applications/
# Now install all files
%__install -Dm 755  unix/%{name} %{buildroot}/%{_bindir}/%{name}
%{__install} -Dm 644 res/main/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%__install -t %{buildroot}%{_datadir}/%{name}/patterns/  unix/resources/patterns/*.dxf
%__install -t %{buildroot}%{_datadir}/%{name}/fonts/  unix/resources/fonts/*.cxf
%__install -t %{buildroot}%{_datadir}/%{name}/library/misc  unix/resources/library/misc/*
%__install -t %{buildroot}%{_datadir}/%{name}/library/templates unix/resources/library/templates/*
%__install -t %{buildroot}%{_datadir}/%{name}/qm/  unix/resources/qm/*.qm
%__install -t %{buildroot}%{_datadir}/%{name}/doc/  unix/resources/doc/*
# Install documentation files
%__install -t %{buildroot}%{_datadir}/doc/%{name}/html  support/doc/*.html
%__install -t %{buildroot}%{_datadir}/doc/%{name}/html/img support/doc/img/*
%__install -t %{buildroot}%{_datadir}/doc/%{name}/html/img support/doc/imgs/*
%__install -t %{buildroot}%{_datadir}/doc/%{name}/html/classref/html support/doc/classref/html/*

%__install gpl-2.0.txt  %{buildroot}%{_datadir}/%{name}/LICENSE
%__install support/doc/*.txt  %{buildroot}%{_datadir}/%{name}/

# Create the desktop file

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]                                                                                                                                                                                                                                                                                                         
Name=LibreCAD                                                                                                                                                        
GenericName=LibreCAD is a general purpose 2D CAD                                                                                                                     
Type=Application                                                                                                                                                     
Categories=Graphics;2DGraphics;VectorGraphics                                                                                                                     
Exec=librecad                                                                                                                                                        
Icon=librecad

EOF

%clean
%__rm -rf %{buildroot}

%changelog
* Mon May 02 2011 mikala <mikala> 1.0.0-0.beta5.mga1
+ Revision: 94283
- imported package librecad

